1# Makefile.in generated by automake 1.16.5 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2021 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17# Id
18
19# Id
20
21
22
23VPATH = @srcdir@
24am__is_gnu_make = { \
25  if test -z '$(MAKELEVEL)'; then \
26    false; \
27  elif test -n '$(MAKE_HOST)'; then \
28    true; \
29  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
30    true; \
31  else \
32    false; \
33  fi; \
34}
35am__make_running_with_option = \
36  case $${target_option-} in \
37      ?) ;; \
38      *) echo "am__make_running_with_option: internal error: invalid" \
39              "target option '$${target_option-}' specified" >&2; \
40         exit 1;; \
41  esac; \
42  has_opt=no; \
43  sane_makeflags=$$MAKEFLAGS; \
44  if $(am__is_gnu_make); then \
45    sane_makeflags=$$MFLAGS; \
46  else \
47    case $$MAKEFLAGS in \
48      *\\[\ \	]*) \
49        bs=\\; \
50        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
51          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
52    esac; \
53  fi; \
54  skip_next=no; \
55  strip_trailopt () \
56  { \
57    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
58  }; \
59  for flg in $$sane_makeflags; do \
60    test $$skip_next = yes && { skip_next=no; continue; }; \
61    case $$flg in \
62      *=*|--*) continue;; \
63        -*I) strip_trailopt 'I'; skip_next=yes;; \
64      -*I?*) strip_trailopt 'I';; \
65        -*O) strip_trailopt 'O'; skip_next=yes;; \
66      -*O?*) strip_trailopt 'O';; \
67        -*l) strip_trailopt 'l'; skip_next=yes;; \
68      -*l?*) strip_trailopt 'l';; \
69      -[dEDm]) skip_next=yes;; \
70      -[JT]) skip_next=yes;; \
71    esac; \
72    case $$flg in \
73      *$$target_option*) has_opt=yes; break;; \
74    esac; \
75  done; \
76  test $$has_opt = yes
77am__make_dryrun = (target_option=n; $(am__make_running_with_option))
78am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
79pkgdatadir = $(datadir)/@PACKAGE@
80pkgincludedir = $(includedir)/@PACKAGE@
81pkglibdir = $(libdir)/@PACKAGE@
82pkglibexecdir = $(libexecdir)/@PACKAGE@
83am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
84install_sh_DATA = $(install_sh) -c -m 644
85install_sh_PROGRAM = $(install_sh) -c
86install_sh_SCRIPT = $(install_sh) -c
87INSTALL_HEADER = $(INSTALL_DATA)
88transform = $(program_transform_name)
89NORMAL_INSTALL = :
90PRE_INSTALL = :
91POST_INSTALL = :
92NORMAL_UNINSTALL = :
93PRE_UNINSTALL = :
94POST_UNINSTALL = :
95build_triplet = @build@
96host_triplet = @host@
97TESTS =
98noinst_PROGRAMS = tc$(EXEEXT) ts$(EXEEXT) ts-http$(EXEEXT)
99@have_gcd_TRUE@am__append_1 = -lbsm
100subdir = lib/ipc
101ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
102am__aclocal_m4_deps = $(top_srcdir)/cf/aix.m4 \
103	$(top_srcdir)/cf/auth-modules.m4 \
104	$(top_srcdir)/cf/broken-glob.m4 \
105	$(top_srcdir)/cf/broken-realloc.m4 \
106	$(top_srcdir)/cf/broken-snprintf.m4 $(top_srcdir)/cf/broken.m4 \
107	$(top_srcdir)/cf/broken2.m4 $(top_srcdir)/cf/c-attribute.m4 \
108	$(top_srcdir)/cf/capabilities.m4 \
109	$(top_srcdir)/cf/check-compile-et.m4 \
110	$(top_srcdir)/cf/check-getpwnam_r-posix.m4 \
111	$(top_srcdir)/cf/check-man.m4 \
112	$(top_srcdir)/cf/check-netinet-ip-and-tcp.m4 \
113	$(top_srcdir)/cf/check-type-extra.m4 \
114	$(top_srcdir)/cf/check-var.m4 $(top_srcdir)/cf/crypto.m4 \
115	$(top_srcdir)/cf/db.m4 $(top_srcdir)/cf/destdirs.m4 \
116	$(top_srcdir)/cf/dispatch.m4 $(top_srcdir)/cf/dlopen.m4 \
117	$(top_srcdir)/cf/find-func-no-libs.m4 \
118	$(top_srcdir)/cf/find-func-no-libs2.m4 \
119	$(top_srcdir)/cf/find-func.m4 \
120	$(top_srcdir)/cf/find-if-not-broken.m4 \
121	$(top_srcdir)/cf/framework-security.m4 \
122	$(top_srcdir)/cf/have-struct-field.m4 \
123	$(top_srcdir)/cf/have-type.m4 $(top_srcdir)/cf/irix.m4 \
124	$(top_srcdir)/cf/krb-bigendian.m4 \
125	$(top_srcdir)/cf/krb-func-getlogin.m4 \
126	$(top_srcdir)/cf/krb-ipv6.m4 $(top_srcdir)/cf/krb-prog-ln-s.m4 \
127	$(top_srcdir)/cf/krb-prog-perl.m4 \
128	$(top_srcdir)/cf/krb-readline.m4 \
129	$(top_srcdir)/cf/krb-struct-spwd.m4 \
130	$(top_srcdir)/cf/krb-struct-winsize.m4 \
131	$(top_srcdir)/cf/largefile.m4 $(top_srcdir)/cf/libtool.m4 \
132	$(top_srcdir)/cf/ltoptions.m4 $(top_srcdir)/cf/ltsugar.m4 \
133	$(top_srcdir)/cf/ltversion.m4 $(top_srcdir)/cf/lt~obsolete.m4 \
134	$(top_srcdir)/cf/mips-abi.m4 $(top_srcdir)/cf/misc.m4 \
135	$(top_srcdir)/cf/need-proto.m4 $(top_srcdir)/cf/osfc2.m4 \
136	$(top_srcdir)/cf/otp.m4 $(top_srcdir)/cf/pkg.m4 \
137	$(top_srcdir)/cf/proto-compat.m4 $(top_srcdir)/cf/pthreads.m4 \
138	$(top_srcdir)/cf/resolv.m4 $(top_srcdir)/cf/retsigtype.m4 \
139	$(top_srcdir)/cf/roken-frag.m4 \
140	$(top_srcdir)/cf/socket-wrapper.m4 $(top_srcdir)/cf/sunos.m4 \
141	$(top_srcdir)/cf/telnet.m4 $(top_srcdir)/cf/test-package.m4 \
142	$(top_srcdir)/cf/version-script.m4 $(top_srcdir)/cf/wflags.m4 \
143	$(top_srcdir)/cf/win32.m4 $(top_srcdir)/cf/with-all.m4 \
144	$(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
145am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
146	$(ACLOCAL_M4)
147DIST_COMMON = $(srcdir)/Makefile.am $(include_HEADERS) \
148	$(am__DIST_COMMON)
149mkinstalldirs = $(install_sh) -d
150CONFIG_HEADER = $(top_builddir)/include/config.h
151CONFIG_CLEAN_FILES =
152CONFIG_CLEAN_VPATH_FILES =
153PROGRAMS = $(noinst_PROGRAMS)
154LTLIBRARIES = $(noinst_LTLIBRARIES)
155am__DEPENDENCIES_1 =
156libheim_ipcc_la_DEPENDENCIES = $(LIB_heimbase) $(am__DEPENDENCIES_1) \
157	$(am__DEPENDENCIES_1)
158dist_libheim_ipcc_la_OBJECTS = client.lo common.lo
159@have_gcd_TRUE@am__objects_1 = heim_ipcUser.lo heim_ipc_asyncServer.lo
160@have_gcd_TRUE@nodist_libheim_ipcc_la_OBJECTS = $(am__objects_1)
161libheim_ipcc_la_OBJECTS = $(dist_libheim_ipcc_la_OBJECTS) \
162	$(nodist_libheim_ipcc_la_OBJECTS)
163AM_V_lt = $(am__v_lt_@AM_V@)
164am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
165am__v_lt_0 = --silent
166am__v_lt_1 = 
167am__DEPENDENCIES_2 = $(LIB_heimbase) $(am__DEPENDENCIES_1) \
168	$(am__DEPENDENCIES_1)
169libheim_ipcs_la_DEPENDENCIES = $(am__DEPENDENCIES_2) \
170	$(am__DEPENDENCIES_1)
171dist_libheim_ipcs_la_OBJECTS = server.lo common.lo
172@have_gcd_TRUE@am__objects_2 = heim_ipcServer.lo heim_ipc_asyncUser.lo \
173@have_gcd_TRUE@	heim_ipc_replyUser.lo
174@have_gcd_TRUE@nodist_libheim_ipcs_la_OBJECTS = $(am__objects_2)
175libheim_ipcs_la_OBJECTS = $(dist_libheim_ipcs_la_OBJECTS) \
176	$(nodist_libheim_ipcs_la_OBJECTS)
177tc_SOURCES = tc.c
178tc_OBJECTS = tc.$(OBJEXT)
179tc_DEPENDENCIES = libheim-ipcc.la $(am__DEPENDENCIES_1)
180ts_SOURCES = ts.c
181ts_OBJECTS = ts.$(OBJEXT)
182ts_DEPENDENCIES = libheim-ipcs.la $(am__DEPENDENCIES_1)
183ts_http_SOURCES = ts-http.c
184ts_http_OBJECTS = ts-http.$(OBJEXT)
185am__DEPENDENCIES_3 = libheim-ipcs.la $(am__DEPENDENCIES_1)
186ts_http_DEPENDENCIES = $(am__DEPENDENCIES_3)
187AM_V_P = $(am__v_P_@AM_V@)
188am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
189am__v_P_0 = false
190am__v_P_1 = :
191AM_V_GEN = $(am__v_GEN_@AM_V@)
192am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
193am__v_GEN_0 = @echo "  GEN     " $@;
194am__v_GEN_1 = 
195AM_V_at = $(am__v_at_@AM_V@)
196am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
197am__v_at_0 = @
198am__v_at_1 = 
199depcomp = $(SHELL) $(top_srcdir)/depcomp
200am__maybe_remake_depfiles = depfiles
201am__depfiles_remade = ./$(DEPDIR)/client.Plo ./$(DEPDIR)/common.Plo \
202	./$(DEPDIR)/heim_ipcServer.Plo ./$(DEPDIR)/heim_ipcUser.Plo \
203	./$(DEPDIR)/heim_ipc_asyncServer.Plo \
204	./$(DEPDIR)/heim_ipc_asyncUser.Plo \
205	./$(DEPDIR)/heim_ipc_replyUser.Plo ./$(DEPDIR)/server.Plo \
206	./$(DEPDIR)/tc.Po ./$(DEPDIR)/ts-http.Po ./$(DEPDIR)/ts.Po
207am__mv = mv -f
208COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
209	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
210LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
211	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
212	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
213	$(AM_CFLAGS) $(CFLAGS)
214AM_V_CC = $(am__v_CC_@AM_V@)
215am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
216am__v_CC_0 = @echo "  CC      " $@;
217am__v_CC_1 = 
218CCLD = $(CC)
219LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
220	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
221	$(AM_LDFLAGS) $(LDFLAGS) -o $@
222AM_V_CCLD = $(am__v_CCLD_@AM_V@)
223am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
224am__v_CCLD_0 = @echo "  CCLD    " $@;
225am__v_CCLD_1 = 
226SOURCES = $(dist_libheim_ipcc_la_SOURCES) \
227	$(nodist_libheim_ipcc_la_SOURCES) \
228	$(dist_libheim_ipcs_la_SOURCES) \
229	$(nodist_libheim_ipcs_la_SOURCES) tc.c ts.c ts-http.c
230DIST_SOURCES = $(dist_libheim_ipcc_la_SOURCES) \
231	$(dist_libheim_ipcs_la_SOURCES) tc.c ts.c ts-http.c
232am__can_run_installinfo = \
233  case $$AM_UPDATE_INFO_DIR in \
234    n|no|NO) false;; \
235    *) (install-info --version) >/dev/null 2>&1;; \
236  esac
237am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
238am__vpath_adj = case $$p in \
239    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
240    *) f=$$p;; \
241  esac;
242am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
243am__install_max = 40
244am__nobase_strip_setup = \
245  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
246am__nobase_strip = \
247  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
248am__nobase_list = $(am__nobase_strip_setup); \
249  for p in $$list; do echo "$$p $$p"; done | \
250  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
251  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
252    if (++n[$$2] == $(am__install_max)) \
253      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
254    END { for (dir in files) print dir, files[dir] }'
255am__base_list = \
256  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
257  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
258am__uninstall_files_from_dir = { \
259  test -z "$$files" \
260    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
261    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
262         $(am__cd) "$$dir" && rm -f $$files; }; \
263  }
264am__installdirs = "$(DESTDIR)$(includedir)"
265HEADERS = $(include_HEADERS)
266am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
267# Read a list of newline-separated strings from the standard input,
268# and print each of them once, without duplicates.  Input order is
269# *not* preserved.
270am__uniquify_input = $(AWK) '\
271  BEGIN { nonempty = 0; } \
272  { items[$$0] = 1; nonempty = 1; } \
273  END { if (nonempty) { for (i in items) print i; }; } \
274'
275# Make sure the list of sources is unique.  This is necessary because,
276# e.g., the same source file might be shared among _SOURCES variables
277# for different programs/libraries.
278am__define_uniq_tagged_files = \
279  list='$(am__tagged_files)'; \
280  unique=`for i in $$list; do \
281    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
282  done | $(am__uniquify_input)`
283am__tty_colors_dummy = \
284  mgn= red= grn= lgn= blu= brg= std=; \
285  am__color_tests=no
286am__tty_colors = { \
287  $(am__tty_colors_dummy); \
288  if test "X$(AM_COLOR_TESTS)" = Xno; then \
289    am__color_tests=no; \
290  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
291    am__color_tests=yes; \
292  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
293    am__color_tests=yes; \
294  fi; \
295  if test $$am__color_tests = yes; then \
296    red='[0;31m'; \
297    grn='[0;32m'; \
298    lgn='[1;32m'; \
299    blu='[1;34m'; \
300    mgn='[0;35m'; \
301    brg='[1m'; \
302    std='[m'; \
303  fi; \
304}
305am__recheck_rx = ^[ 	]*:recheck:[ 	]*
306am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
307am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
308# A command that, given a newline-separated list of test names on the
309# standard input, print the name of the tests that are to be re-run
310# upon "make recheck".
311am__list_recheck_tests = $(AWK) '{ \
312  recheck = 1; \
313  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
314    { \
315      if (rc < 0) \
316        { \
317          if ((getline line2 < ($$0 ".log")) < 0) \
318	    recheck = 0; \
319          break; \
320        } \
321      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
322        { \
323          recheck = 0; \
324          break; \
325        } \
326      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
327        { \
328          break; \
329        } \
330    }; \
331  if (recheck) \
332    print $$0; \
333  close ($$0 ".trs"); \
334  close ($$0 ".log"); \
335}'
336# A command that, given a newline-separated list of test names on the
337# standard input, create the global log from their .trs and .log files.
338am__create_global_log = $(AWK) ' \
339function fatal(msg) \
340{ \
341  print "fatal: making $@: " msg | "cat >&2"; \
342  exit 1; \
343} \
344function rst_section(header) \
345{ \
346  print header; \
347  len = length(header); \
348  for (i = 1; i <= len; i = i + 1) \
349    printf "="; \
350  printf "\n\n"; \
351} \
352{ \
353  copy_in_global_log = 1; \
354  global_test_result = "RUN"; \
355  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
356    { \
357      if (rc < 0) \
358         fatal("failed to read from " $$0 ".trs"); \
359      if (line ~ /$(am__global_test_result_rx)/) \
360        { \
361          sub("$(am__global_test_result_rx)", "", line); \
362          sub("[ 	]*$$", "", line); \
363          global_test_result = line; \
364        } \
365      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
366        copy_in_global_log = 0; \
367    }; \
368  if (copy_in_global_log) \
369    { \
370      rst_section(global_test_result ": " $$0); \
371      while ((rc = (getline line < ($$0 ".log"))) != 0) \
372      { \
373        if (rc < 0) \
374          fatal("failed to read from " $$0 ".log"); \
375        print line; \
376      }; \
377      printf "\n"; \
378    }; \
379  close ($$0 ".trs"); \
380  close ($$0 ".log"); \
381}'
382# Restructured Text title.
383am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
384# Solaris 10 'make', and several other traditional 'make' implementations,
385# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
386# by disabling -e (using the XSI extension "set +e") if it's set.
387am__sh_e_setup = case $$- in *e*) set +e;; esac
388# Default flags passed to test drivers.
389am__common_driver_flags = \
390  --color-tests "$$am__color_tests" \
391  --enable-hard-errors "$$am__enable_hard_errors" \
392  --expect-failure "$$am__expect_failure"
393# To be inserted before the command running the test.  Creates the
394# directory for the log if needed.  Stores in $dir the directory
395# containing $f, in $tst the test, in $log the log.  Executes the
396# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
397# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
398# will run the test scripts (or their associated LOG_COMPILER, if
399# thy have one).
400am__check_pre = \
401$(am__sh_e_setup);					\
402$(am__vpath_adj_setup) $(am__vpath_adj)			\
403$(am__tty_colors);					\
404srcdir=$(srcdir); export srcdir;			\
405case "$@" in						\
406  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
407    *) am__odir=.;; 					\
408esac;							\
409test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
410  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
411if test -f "./$$f"; then dir=./;			\
412elif test -f "$$f"; then dir=;				\
413else dir="$(srcdir)/"; fi;				\
414tst=$$dir$$f; log='$@'; 				\
415if test -n '$(DISABLE_HARD_ERRORS)'; then		\
416  am__enable_hard_errors=no; 				\
417else							\
418  am__enable_hard_errors=yes; 				\
419fi; 							\
420case " $(XFAIL_TESTS) " in				\
421  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
422    am__expect_failure=yes;;				\
423  *)							\
424    am__expect_failure=no;;				\
425esac; 							\
426$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
427# A shell command to get the names of the tests scripts with any registered
428# extension removed (i.e., equivalently, the names of the test logs, with
429# the '.log' extension removed).  The result is saved in the shell variable
430# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
431# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
432# since that might cause problem with VPATH rewrites for suffix-less tests.
433# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
434am__set_TESTS_bases = \
435  bases='$(TEST_LOGS)'; \
436  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
437  bases=`echo $$bases`
438AM_TESTSUITE_SUMMARY_HEADER = ' for $(PACKAGE_STRING)'
439RECHECK_LOGS = $(TEST_LOGS)
440AM_RECURSIVE_TARGETS = check recheck
441TEST_SUITE_LOG = test-suite.log
442TEST_EXTENSIONS = @EXEEXT@ .test
443am__test_logs1 = $(TESTS:=.log)
444am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
445TEST_LOGS = $(am__test_logs2:.test.log=.log)
446TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
447TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
448	$(TEST_LOG_FLAGS)
449am__set_b = \
450  case '$@' in \
451    */*) \
452      case '$*' in \
453        */*) b='$*';; \
454          *) b=`echo '$@' | sed 's/\.log$$//'`; \
455       esac;; \
456    *) \
457      b='$*';; \
458  esac
459am__DIST_COMMON = $(srcdir)/Makefile.in \
460	$(top_srcdir)/Makefile.am.common \
461	$(top_srcdir)/cf/Makefile.am.common $(top_srcdir)/depcomp \
462	$(top_srcdir)/test-driver
463DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
464ACLOCAL = @ACLOCAL@
465AIX_EXTRA_KAFS = @AIX_EXTRA_KAFS@
466AMTAR = @AMTAR@
467AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
468AR = @AR@
469AS = @AS@
470ASN1_COMPILE = @ASN1_COMPILE@
471ASN1_COMPILE_DEP = @ASN1_COMPILE_DEP@
472AUTOCONF = @AUTOCONF@
473AUTOHEADER = @AUTOHEADER@
474AUTOMAKE = @AUTOMAKE@
475AWK = @AWK@
476CANONICAL_HOST = @CANONICAL_HOST@
477CAPNG_CFLAGS = @CAPNG_CFLAGS@
478CAPNG_LIBS = @CAPNG_LIBS@
479CATMAN = @CATMAN@
480CATMANEXT = @CATMANEXT@
481CC = @CC@
482CCDEPMODE = @CCDEPMODE@
483CFLAGS = @CFLAGS@
484CLANG_FORMAT = @CLANG_FORMAT@
485COMPILE_ET = @COMPILE_ET@
486CPP = @CPP@
487CPPFLAGS = @CPPFLAGS@
488CSCOPE = @CSCOPE@
489CTAGS = @CTAGS@
490CYGPATH_W = @CYGPATH_W@
491DB1LIB = @DB1LIB@
492DB3LIB = @DB3LIB@
493DBHEADER = @DBHEADER@
494DEFS = @DEFS@
495DEPDIR = @DEPDIR@
496DIR_com_err = @DIR_com_err@
497DIR_hdbdir = @DIR_hdbdir@
498DIR_roken = @DIR_roken@
499DLLTOOL = @DLLTOOL@
500DSYMUTIL = @DSYMUTIL@
501DUMPBIN = @DUMPBIN@
502ECHO_C = @ECHO_C@
503ECHO_N = @ECHO_N@
504ECHO_T = @ECHO_T@
505EGREP = @EGREP@
506ENABLE_AFS_STRING_TO_KEY = @ENABLE_AFS_STRING_TO_KEY@
507ETAGS = @ETAGS@
508EXEEXT = @EXEEXT@
509FGREP = @FGREP@
510FILECMD = @FILECMD@
511GCD_MIG = @GCD_MIG@
512GREP = @GREP@
513GROFF = @GROFF@
514INCLUDES_roken = @INCLUDES_roken@
515INCLUDE_libedit = @INCLUDE_libedit@
516INCLUDE_libintl = @INCLUDE_libintl@
517INCLUDE_openldap = @INCLUDE_openldap@
518INCLUDE_openssl_crypto = @INCLUDE_openssl_crypto@
519INCLUDE_readline = @INCLUDE_readline@
520INCLUDE_sqlite3 = @INCLUDE_sqlite3@
521INSTALL = @INSTALL@
522INSTALL_DATA = @INSTALL_DATA@
523INSTALL_PROGRAM = @INSTALL_PROGRAM@
524INSTALL_SCRIPT = @INSTALL_SCRIPT@
525INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
526LD = @LD@
527LDFLAGS = @LDFLAGS@
528LDFLAGS_VERSION_SCRIPT = @LDFLAGS_VERSION_SCRIPT@
529LEX = @LEX@
530LEXLIB = @LEXLIB@
531LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
532LIBADD_roken = @LIBADD_roken@
533LIBOBJS = @LIBOBJS@
534LIBS = @LIBS@
535LIBTOOL = @LIBTOOL@
536LIB_AUTH_SUBDIRS = @LIB_AUTH_SUBDIRS@
537LIB_bswap16 = @LIB_bswap16@
538LIB_bswap32 = @LIB_bswap32@
539LIB_bswap64 = @LIB_bswap64@
540LIB_com_err = @LIB_com_err@
541LIB_com_err_a = @LIB_com_err_a@
542LIB_com_err_so = @LIB_com_err_so@
543LIB_crypt = @LIB_crypt@
544LIB_db_create = @LIB_db_create@
545LIB_dbm_firstkey = @LIB_dbm_firstkey@
546LIB_dbopen = @LIB_dbopen@
547LIB_dispatch_async_f = @LIB_dispatch_async_f@
548LIB_dladdr = @LIB_dladdr@
549LIB_dlopen = @LIB_dlopen@
550LIB_dn_expand = @LIB_dn_expand@
551LIB_dns_search = @LIB_dns_search@
552LIB_door_create = @LIB_door_create@
553LIB_freeaddrinfo = @LIB_freeaddrinfo@
554LIB_gai_strerror = @LIB_gai_strerror@
555LIB_getaddrinfo = @LIB_getaddrinfo@
556LIB_gethostbyname = @LIB_gethostbyname@
557LIB_gethostbyname2 = @LIB_gethostbyname2@
558LIB_getnameinfo = @LIB_getnameinfo@
559LIB_getpwnam_r = @LIB_getpwnam_r@
560LIB_getsockopt = @LIB_getsockopt@
561LIB_hcrypto = @LIB_hcrypto@
562LIB_hcrypto_a = @LIB_hcrypto_a@
563LIB_hcrypto_appl = @LIB_hcrypto_appl@
564LIB_hcrypto_so = @LIB_hcrypto_so@
565LIB_hstrerror = @LIB_hstrerror@
566LIB_kdb = @LIB_kdb@
567LIB_libedit = @LIB_libedit@
568LIB_libintl = @LIB_libintl@
569LIB_loadquery = @LIB_loadquery@
570LIB_logout = @LIB_logout@
571LIB_logwtmp = @LIB_logwtmp@
572LIB_openldap = @LIB_openldap@
573LIB_openpty = @LIB_openpty@
574LIB_openssl_crypto = @LIB_openssl_crypto@
575LIB_otp = @LIB_otp@
576LIB_pidfile = @LIB_pidfile@
577LIB_readline = @LIB_readline@
578LIB_res_ndestroy = @LIB_res_ndestroy@
579LIB_res_nsearch = @LIB_res_nsearch@
580LIB_res_search = @LIB_res_search@
581LIB_roken = @LIB_roken@
582LIB_security = @LIB_security@
583LIB_setsockopt = @LIB_setsockopt@
584LIB_socket = @LIB_socket@
585LIB_sqlite3 = @LIB_sqlite3@
586LIB_syslog = @LIB_syslog@
587LIB_tgetent = @LIB_tgetent@
588LIPO = @LIPO@
589LMDBLIB = @LMDBLIB@
590LN_S = @LN_S@
591LTLIBOBJS = @LTLIBOBJS@
592LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
593MAINT = @MAINT@
594MAKEINFO = @MAKEINFO@
595MANIFEST_TOOL = @MANIFEST_TOOL@
596MKDIR_P = @MKDIR_P@
597NDBMLIB = @NDBMLIB@
598NM = @NM@
599NMEDIT = @NMEDIT@
600NO_AFS = @NO_AFS@
601NROFF = @NROFF@
602OBJDUMP = @OBJDUMP@
603OBJEXT = @OBJEXT@
604OTOOL = @OTOOL@
605OTOOL64 = @OTOOL64@
606PACKAGE = @PACKAGE@
607PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
608PACKAGE_NAME = @PACKAGE_NAME@
609PACKAGE_STRING = @PACKAGE_STRING@
610PACKAGE_TARNAME = @PACKAGE_TARNAME@
611PACKAGE_URL = @PACKAGE_URL@
612PACKAGE_VERSION = @PACKAGE_VERSION@
613PATH_SEPARATOR = @PATH_SEPARATOR@
614PERL = @PERL@
615PKG_CONFIG = @PKG_CONFIG@
616PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
617PTHREAD_LDADD = @PTHREAD_LDADD@
618PTHREAD_LIBADD = @PTHREAD_LIBADD@
619PYTHON = @PYTHON@
620PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
621PYTHON_PLATFORM = @PYTHON_PLATFORM@
622PYTHON_PREFIX = @PYTHON_PREFIX@
623PYTHON_VERSION = @PYTHON_VERSION@
624RANLIB = @RANLIB@
625SED = @SED@
626SET_MAKE = @SET_MAKE@
627SHELL = @SHELL@
628SLC = @SLC@
629SLC_DEP = @SLC_DEP@
630STRIP = @STRIP@
631VERSION = @VERSION@
632VERSIONING = @VERSIONING@
633WFLAGS = @WFLAGS@
634WFLAGS_LITE = @WFLAGS_LITE@
635YACC = @YACC@
636YFLAGS = @YFLAGS@
637abs_builddir = @abs_builddir@
638abs_srcdir = @abs_srcdir@
639abs_top_builddir = @abs_top_builddir@
640abs_top_srcdir = @abs_top_srcdir@
641ac_ct_AR = @ac_ct_AR@
642ac_ct_CC = @ac_ct_CC@
643ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
644am__include = @am__include@
645am__leading_dot = @am__leading_dot@
646am__quote = @am__quote@
647am__tar = @am__tar@
648am__untar = @am__untar@
649bindir = @bindir@
650build = @build@
651build_alias = @build_alias@
652build_cpu = @build_cpu@
653build_os = @build_os@
654build_vendor = @build_vendor@
655builddir = @builddir@
656datadir = @datadir@
657datarootdir = @datarootdir@
658db_type = @db_type@
659db_type_preference = @db_type_preference@
660docdir = @docdir@
661dpagaix_cflags = @dpagaix_cflags@
662dpagaix_ldadd = @dpagaix_ldadd@
663dpagaix_ldflags = @dpagaix_ldflags@
664dvidir = @dvidir@
665exec_prefix = @exec_prefix@
666host = @host@
667host_alias = @host_alias@
668host_cpu = @host_cpu@
669host_os = @host_os@
670host_vendor = @host_vendor@
671htmldir = @htmldir@
672includedir = @includedir@
673infodir = @infodir@
674install_sh = @install_sh@
675libdir = @libdir@
676libexecdir = @libexecdir@
677localedir = @localedir@
678localstatedir = @localstatedir@
679mandir = @mandir@
680mkdir_p = @mkdir_p@
681oldincludedir = @oldincludedir@
682pdfdir = @pdfdir@
683pkgpyexecdir = @pkgpyexecdir@
684pkgpythondir = @pkgpythondir@
685prefix = @prefix@
686program_transform_name = @program_transform_name@
687psdir = @psdir@
688pyexecdir = @pyexecdir@
689pythondir = @pythondir@
690runstatedir = @runstatedir@
691sbindir = @sbindir@
692sharedstatedir = @sharedstatedir@
693srcdir = @srcdir@
694subdirs = @subdirs@
695sysconfdir = @sysconfdir@
696target_alias = @target_alias@
697top_build_prefix = @top_build_prefix@
698top_builddir = @top_builddir@
699top_srcdir = @top_srcdir@
700SUFFIXES = .et .h .pc.in .pc .x .z .hx .1 .3 .5 .7 .8 .cat1 .cat3 \
701	.cat5 .cat7 .cat8
702DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include -I$(top_srcdir)/include
703AM_CPPFLAGS = $(INCLUDES_roken)
704@do_roken_rename_TRUE@ROKEN_RENAME = -DROKEN_RENAME
705AM_CFLAGS = $(WFLAGS)
706CP = cp
707buildinclude = $(top_builddir)/include
708LIB_XauReadAuth = @LIB_XauReadAuth@
709LIB_el_init = @LIB_el_init@
710LIB_getattr = @LIB_getattr@
711LIB_getpwent_r = @LIB_getpwent_r@
712LIB_odm_initialize = @LIB_odm_initialize@
713LIB_setpcred = @LIB_setpcred@
714INCLUDE_krb4 = @INCLUDE_krb4@
715LIB_krb4 = @LIB_krb4@
716libexec_heimdaldir = $(libexecdir)/heimdal
717NROFF_MAN = groff -mandoc -Tascii
718@NO_AFS_FALSE@LIB_kafs = $(top_builddir)/lib/kafs/libkafs.la $(AIX_EXTRA_KAFS)
719@NO_AFS_TRUE@LIB_kafs = 
720@KRB5_TRUE@LIB_krb5 = $(top_builddir)/lib/krb5/libkrb5.la \
721@KRB5_TRUE@	$(top_builddir)/lib/asn1/libasn1.la
722
723@KRB5_TRUE@LIB_gssapi = $(top_builddir)/lib/gssapi/libgssapi.la
724LIB_heimbase = $(top_builddir)/lib/base/libheimbase.la
725@DCE_TRUE@LIB_kdfs = $(top_builddir)/lib/kdfs/libkdfs.la
726
727#silent-rules
728heim_verbose = $(heim_verbose_$(V))
729heim_verbose_ = $(heim_verbose_$(AM_DEFAULT_VERBOSITY))
730heim_verbose_0 = @echo "  GEN    "$@;
731noinst_LTLIBRARIES = libheim-ipcc.la libheim-ipcs.la
732dist_libheim_ipcc_la_SOURCES = hi_locl.h heim_ipc_types.h client.c common.c
733dist_libheim_ipcs_la_SOURCES = hi_locl.h heim_ipc_types.h server.c common.c
734include_HEADERS = heim-ipc.h
735
736#libheim_ipcc_la_LDFLAGS = -version-info 0:0:0
737#libheim_ipcs_la_LDFLAGS = -version-info 0:0:0
738#
739#if versionscript
740#libheim_ipcc_la_LDFLAGS += $(LDFLAGS_VERSION_SCRIPT)$(srcdir)/version-scriptc.map
741#libheim_ipcs_la_LDFLAGS += $(LDFLAGS_VERSION_SCRIPT)$(srcdir)/version-scripts.map
742#endif
743libheim_ipcc_la_LIBADD = \
744	$(LIB_heimbase) \
745	$(LIB_roken) \
746	$(PTHREAD_LIBADD)
747
748libheim_ipcs_la_LIBADD = $(libheim_ipcc_la_LIBADD) $(am__append_1)
749ts_LDADD = libheim-ipcs.la $(LIB_roken)
750ts_http_LDADD = $(ts_LDADD)
751tc_LDADD = libheim-ipcc.la $(LIB_roken)
752EXTRA_DIST = heim_ipc.defs heim_ipc_async.defs heim_ipc_reply.defs
753@have_gcd_TRUE@built_ipcc = heim_ipc.h heim_ipcUser.c \
754@have_gcd_TRUE@	heim_ipc_asyncServer.c heim_ipc_asyncServer.h
755@have_gcd_TRUE@nodist_libheim_ipcc_la_SOURCES = $(built_ipcc)
756@have_gcd_TRUE@built_ipcs = heim_ipcServer.c heim_ipcServer.h \
757@have_gcd_TRUE@	heim_ipc_asyncUser.c heim_ipc_async.h \
758@have_gcd_TRUE@	heim_ipc_reply.h heim_ipc_replyUser.c
759@have_gcd_TRUE@nodist_libheim_ipcs_la_SOURCES = $(built_ipcs)
760@have_gcd_TRUE@CLEANFILES = $(built_ipcc) $(built_ipcs)
761all: all-am
762
763.SUFFIXES:
764.SUFFIXES: .et .h .pc.in .pc .x .z .hx .1 .3 .5 .7 .8 .cat1 .cat3 .cat5 .cat7 .cat8 .c .lo .log .o .obj .test .test$(EXEEXT) .trs
765$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.am.common $(top_srcdir)/cf/Makefile.am.common $(am__configure_deps)
766	@for dep in $?; do \
767	  case '$(am__configure_deps)' in \
768	    *$$dep*) \
769	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
770	        && { if test -f $@; then exit 0; else break; fi; }; \
771	      exit 1;; \
772	  esac; \
773	done; \
774	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign lib/ipc/Makefile'; \
775	$(am__cd) $(top_srcdir) && \
776	  $(AUTOMAKE) --foreign lib/ipc/Makefile
777Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
778	@case '$?' in \
779	  *config.status*) \
780	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
781	  *) \
782	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
783	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
784	esac;
785$(top_srcdir)/Makefile.am.common $(top_srcdir)/cf/Makefile.am.common $(am__empty):
786
787$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
788	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
789
790$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
791	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
792$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
793	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
794$(am__aclocal_m4_deps):
795
796clean-noinstPROGRAMS:
797	@list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
798	echo " rm -f" $$list; \
799	rm -f $$list || exit $$?; \
800	test -n "$(EXEEXT)" || exit 0; \
801	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
802	echo " rm -f" $$list; \
803	rm -f $$list
804
805clean-noinstLTLIBRARIES:
806	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
807	@list='$(noinst_LTLIBRARIES)'; \
808	locs=`for p in $$list; do echo $$p; done | \
809	      sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
810	      sort -u`; \
811	test -z "$$locs" || { \
812	  echo rm -f $${locs}; \
813	  rm -f $${locs}; \
814	}
815
816libheim-ipcc.la: $(libheim_ipcc_la_OBJECTS) $(libheim_ipcc_la_DEPENDENCIES) $(EXTRA_libheim_ipcc_la_DEPENDENCIES) 
817	$(AM_V_CCLD)$(LINK)  $(libheim_ipcc_la_OBJECTS) $(libheim_ipcc_la_LIBADD) $(LIBS)
818
819libheim-ipcs.la: $(libheim_ipcs_la_OBJECTS) $(libheim_ipcs_la_DEPENDENCIES) $(EXTRA_libheim_ipcs_la_DEPENDENCIES) 
820	$(AM_V_CCLD)$(LINK)  $(libheim_ipcs_la_OBJECTS) $(libheim_ipcs_la_LIBADD) $(LIBS)
821
822tc$(EXEEXT): $(tc_OBJECTS) $(tc_DEPENDENCIES) $(EXTRA_tc_DEPENDENCIES) 
823	@rm -f tc$(EXEEXT)
824	$(AM_V_CCLD)$(LINK) $(tc_OBJECTS) $(tc_LDADD) $(LIBS)
825
826ts$(EXEEXT): $(ts_OBJECTS) $(ts_DEPENDENCIES) $(EXTRA_ts_DEPENDENCIES) 
827	@rm -f ts$(EXEEXT)
828	$(AM_V_CCLD)$(LINK) $(ts_OBJECTS) $(ts_LDADD) $(LIBS)
829
830ts-http$(EXEEXT): $(ts_http_OBJECTS) $(ts_http_DEPENDENCIES) $(EXTRA_ts_http_DEPENDENCIES) 
831	@rm -f ts-http$(EXEEXT)
832	$(AM_V_CCLD)$(LINK) $(ts_http_OBJECTS) $(ts_http_LDADD) $(LIBS)
833
834mostlyclean-compile:
835	-rm -f *.$(OBJEXT)
836
837distclean-compile:
838	-rm -f *.tab.c
839
840@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/client.Plo@am__quote@ # am--include-marker
841@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/common.Plo@am__quote@ # am--include-marker
842@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/heim_ipcServer.Plo@am__quote@ # am--include-marker
843@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/heim_ipcUser.Plo@am__quote@ # am--include-marker
844@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/heim_ipc_asyncServer.Plo@am__quote@ # am--include-marker
845@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/heim_ipc_asyncUser.Plo@am__quote@ # am--include-marker
846@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/heim_ipc_replyUser.Plo@am__quote@ # am--include-marker
847@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/server.Plo@am__quote@ # am--include-marker
848@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tc.Po@am__quote@ # am--include-marker
849@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ts-http.Po@am__quote@ # am--include-marker
850@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ts.Po@am__quote@ # am--include-marker
851
852$(am__depfiles_remade):
853	@$(MKDIR_P) $(@D)
854	@echo '# dummy' >$@-t && $(am__mv) $@-t $@
855
856am--depfiles: $(am__depfiles_remade)
857
858.c.o:
859@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
860@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
861@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
862@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
863@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
864
865.c.obj:
866@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
867@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
868@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
869@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
870@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
871
872.c.lo:
873@am__fastdepCC_TRUE@	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
874@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
875@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
876@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
877@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
878
879mostlyclean-libtool:
880	-rm -f *.lo
881
882clean-libtool:
883	-rm -rf .libs _libs
884install-includeHEADERS: $(include_HEADERS)
885	@$(NORMAL_INSTALL)
886	@list='$(include_HEADERS)'; test -n "$(includedir)" || list=; \
887	if test -n "$$list"; then \
888	  echo " $(MKDIR_P) '$(DESTDIR)$(includedir)'"; \
889	  $(MKDIR_P) "$(DESTDIR)$(includedir)" || exit 1; \
890	fi; \
891	for p in $$list; do \
892	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
893	  echo "$$d$$p"; \
894	done | $(am__base_list) | \
895	while read files; do \
896	  echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(includedir)'"; \
897	  $(INSTALL_HEADER) $$files "$(DESTDIR)$(includedir)" || exit $$?; \
898	done
899
900uninstall-includeHEADERS:
901	@$(NORMAL_UNINSTALL)
902	@list='$(include_HEADERS)'; test -n "$(includedir)" || list=; \
903	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
904	dir='$(DESTDIR)$(includedir)'; $(am__uninstall_files_from_dir)
905
906ID: $(am__tagged_files)
907	$(am__define_uniq_tagged_files); mkid -fID $$unique
908tags: tags-am
909TAGS: tags
910
911tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
912	set x; \
913	here=`pwd`; \
914	$(am__define_uniq_tagged_files); \
915	shift; \
916	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
917	  test -n "$$unique" || unique=$$empty_fix; \
918	  if test $$# -gt 0; then \
919	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
920	      "$$@" $$unique; \
921	  else \
922	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
923	      $$unique; \
924	  fi; \
925	fi
926ctags: ctags-am
927
928CTAGS: ctags
929ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
930	$(am__define_uniq_tagged_files); \
931	test -z "$(CTAGS_ARGS)$$unique" \
932	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
933	     $$unique
934
935GTAGS:
936	here=`$(am__cd) $(top_builddir) && pwd` \
937	  && $(am__cd) $(top_srcdir) \
938	  && gtags -i $(GTAGS_ARGS) "$$here"
939cscopelist: cscopelist-am
940
941cscopelist-am: $(am__tagged_files)
942	list='$(am__tagged_files)'; \
943	case "$(srcdir)" in \
944	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
945	  *) sdir=$(subdir)/$(srcdir) ;; \
946	esac; \
947	for i in $$list; do \
948	  if test -f "$$i"; then \
949	    echo "$(subdir)/$$i"; \
950	  else \
951	    echo "$$sdir/$$i"; \
952	  fi; \
953	done >> $(top_builddir)/cscope.files
954
955distclean-tags:
956	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
957
958# Recover from deleted '.trs' file; this should ensure that
959# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
960# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
961# to avoid problems with "make -n".
962.log.trs:
963	rm -f $< $@
964	$(MAKE) $(AM_MAKEFLAGS) $<
965
966# Leading 'am--fnord' is there to ensure the list of targets does not
967# expand to empty, as could happen e.g. with make check TESTS=''.
968am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
969am--force-recheck:
970	@:
971
972$(TEST_SUITE_LOG): $(TEST_LOGS)
973	@$(am__set_TESTS_bases); \
974	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
975	redo_bases=`for i in $$bases; do \
976	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
977	            done`; \
978	if test -n "$$redo_bases"; then \
979	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
980	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
981	  if $(am__make_dryrun); then :; else \
982	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
983	  fi; \
984	fi; \
985	if test -n "$$am__remaking_logs"; then \
986	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
987	       "recursion detected" >&2; \
988	elif test -n "$$redo_logs"; then \
989	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
990	fi; \
991	if $(am__make_dryrun); then :; else \
992	  st=0;  \
993	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
994	  for i in $$redo_bases; do \
995	    test -f $$i.trs && test -r $$i.trs \
996	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
997	    test -f $$i.log && test -r $$i.log \
998	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
999	  done; \
1000	  test $$st -eq 0 || exit 1; \
1001	fi
1002	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1003	ws='[ 	]'; \
1004	results=`for b in $$bases; do echo $$b.trs; done`; \
1005	test -n "$$results" || results=/dev/null; \
1006	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1007	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1008	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1009	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1010	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1011	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1012	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1013	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1014	  success=true; \
1015	else \
1016	  success=false; \
1017	fi; \
1018	br='==================='; br=$$br$$br$$br$$br; \
1019	result_count () \
1020	{ \
1021	    if test x"$$1" = x"--maybe-color"; then \
1022	      maybe_colorize=yes; \
1023	    elif test x"$$1" = x"--no-color"; then \
1024	      maybe_colorize=no; \
1025	    else \
1026	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1027	    fi; \
1028	    shift; \
1029	    desc=$$1 count=$$2; \
1030	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
1031	      color_start=$$3 color_end=$$std; \
1032	    else \
1033	      color_start= color_end=; \
1034	    fi; \
1035	    echo "$${color_start}# $$desc $$count$${color_end}"; \
1036	}; \
1037	create_testsuite_report () \
1038	{ \
1039	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
1040	  result_count $$1 "PASS: " $$pass  "$$grn"; \
1041	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
1042	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1043	  result_count $$1 "FAIL: " $$fail  "$$red"; \
1044	  result_count $$1 "XPASS:" $$xpass "$$red"; \
1045	  result_count $$1 "ERROR:" $$error "$$mgn"; \
1046	}; \
1047	{								\
1048	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
1049	    $(am__rst_title);						\
1050	  create_testsuite_report --no-color;				\
1051	  echo;								\
1052	  echo ".. contents:: :depth: 2";				\
1053	  echo;								\
1054	  for b in $$bases; do echo $$b; done				\
1055	    | $(am__create_global_log);					\
1056	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
1057	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
1058	if $$success; then						\
1059	  col="$$grn";							\
1060	 else								\
1061	  col="$$red";							\
1062	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
1063	fi;								\
1064	echo "$${col}$$br$${std}"; 					\
1065	echo "$${col}Testsuite summary"$(AM_TESTSUITE_SUMMARY_HEADER)"$${std}";	\
1066	echo "$${col}$$br$${std}"; 					\
1067	create_testsuite_report --maybe-color;				\
1068	echo "$$col$$br$$std";						\
1069	if $$success; then :; else					\
1070	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
1071	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
1072	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
1073	  fi;								\
1074	  echo "$$col$$br$$std";					\
1075	fi;								\
1076	$$success || exit 1
1077
1078check-TESTS: 
1079	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1080	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1081	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1082	@set +e; $(am__set_TESTS_bases); \
1083	log_list=`for i in $$bases; do echo $$i.log; done`; \
1084	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1085	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1086	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1087	exit $$?;
1088recheck: all 
1089	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1090	@set +e; $(am__set_TESTS_bases); \
1091	bases=`for i in $$bases; do echo $$i; done \
1092	         | $(am__list_recheck_tests)` || exit 1; \
1093	log_list=`for i in $$bases; do echo $$i.log; done`; \
1094	log_list=`echo $$log_list`; \
1095	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1096	        am__force_recheck=am--force-recheck \
1097	        TEST_LOGS="$$log_list"; \
1098	exit $$?
1099.test.log:
1100	@p='$<'; \
1101	$(am__set_b); \
1102	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1103	--log-file $$b.log --trs-file $$b.trs \
1104	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1105	"$$tst" $(AM_TESTS_FD_REDIRECT)
1106@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1107@am__EXEEXT_TRUE@	@p='$<'; \
1108@am__EXEEXT_TRUE@	$(am__set_b); \
1109@am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1110@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
1111@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1112@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
1113distdir: $(BUILT_SOURCES)
1114	$(MAKE) $(AM_MAKEFLAGS) distdir-am
1115
1116distdir-am: $(DISTFILES)
1117	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1118	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1119	list='$(DISTFILES)'; \
1120	  dist_files=`for file in $$list; do echo $$file; done | \
1121	  sed -e "s|^$$srcdirstrip/||;t" \
1122	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1123	case $$dist_files in \
1124	  */*) $(MKDIR_P) `echo "$$dist_files" | \
1125			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1126			   sort -u` ;; \
1127	esac; \
1128	for file in $$dist_files; do \
1129	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1130	  if test -d $$d/$$file; then \
1131	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1132	    if test -d "$(distdir)/$$file"; then \
1133	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1134	    fi; \
1135	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1136	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1137	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1138	    fi; \
1139	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1140	  else \
1141	    test -f "$(distdir)/$$file" \
1142	    || cp -p $$d/$$file "$(distdir)/$$file" \
1143	    || exit 1; \
1144	  fi; \
1145	done
1146	$(MAKE) $(AM_MAKEFLAGS) \
1147	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
1148	  dist-hook
1149check-am: all-am
1150	$(MAKE) $(AM_MAKEFLAGS) check-TESTS check-local
1151check: check-am
1152all-am: Makefile $(PROGRAMS) $(LTLIBRARIES) $(HEADERS) all-local
1153installdirs:
1154	for dir in "$(DESTDIR)$(includedir)"; do \
1155	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1156	done
1157install: install-am
1158install-exec: install-exec-am
1159install-data: install-data-am
1160uninstall: uninstall-am
1161
1162install-am: all-am
1163	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1164
1165installcheck: installcheck-am
1166install-strip:
1167	if test -z '$(STRIP)'; then \
1168	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1169	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1170	      install; \
1171	else \
1172	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1173	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1174	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1175	fi
1176mostlyclean-generic:
1177	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1178	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1179	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1180
1181clean-generic:
1182	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1183
1184distclean-generic:
1185	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1186	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1187
1188maintainer-clean-generic:
1189	@echo "This command is intended for maintainers to use"
1190	@echo "it deletes files that may require special tools to rebuild."
1191clean: clean-am
1192
1193clean-am: clean-generic clean-libtool clean-noinstLTLIBRARIES \
1194	clean-noinstPROGRAMS mostlyclean-am
1195
1196distclean: distclean-am
1197		-rm -f ./$(DEPDIR)/client.Plo
1198	-rm -f ./$(DEPDIR)/common.Plo
1199	-rm -f ./$(DEPDIR)/heim_ipcServer.Plo
1200	-rm -f ./$(DEPDIR)/heim_ipcUser.Plo
1201	-rm -f ./$(DEPDIR)/heim_ipc_asyncServer.Plo
1202	-rm -f ./$(DEPDIR)/heim_ipc_asyncUser.Plo
1203	-rm -f ./$(DEPDIR)/heim_ipc_replyUser.Plo
1204	-rm -f ./$(DEPDIR)/server.Plo
1205	-rm -f ./$(DEPDIR)/tc.Po
1206	-rm -f ./$(DEPDIR)/ts-http.Po
1207	-rm -f ./$(DEPDIR)/ts.Po
1208	-rm -f Makefile
1209distclean-am: clean-am distclean-compile distclean-generic \
1210	distclean-tags
1211
1212dvi: dvi-am
1213
1214dvi-am:
1215
1216html: html-am
1217
1218html-am:
1219
1220info: info-am
1221
1222info-am:
1223
1224install-data-am: install-includeHEADERS
1225	@$(NORMAL_INSTALL)
1226	$(MAKE) $(AM_MAKEFLAGS) install-data-hook
1227install-dvi: install-dvi-am
1228
1229install-dvi-am:
1230
1231install-exec-am: install-exec-local
1232
1233install-html: install-html-am
1234
1235install-html-am:
1236
1237install-info: install-info-am
1238
1239install-info-am:
1240
1241install-man:
1242
1243install-pdf: install-pdf-am
1244
1245install-pdf-am:
1246
1247install-ps: install-ps-am
1248
1249install-ps-am:
1250
1251installcheck-am:
1252
1253maintainer-clean: maintainer-clean-am
1254		-rm -f ./$(DEPDIR)/client.Plo
1255	-rm -f ./$(DEPDIR)/common.Plo
1256	-rm -f ./$(DEPDIR)/heim_ipcServer.Plo
1257	-rm -f ./$(DEPDIR)/heim_ipcUser.Plo
1258	-rm -f ./$(DEPDIR)/heim_ipc_asyncServer.Plo
1259	-rm -f ./$(DEPDIR)/heim_ipc_asyncUser.Plo
1260	-rm -f ./$(DEPDIR)/heim_ipc_replyUser.Plo
1261	-rm -f ./$(DEPDIR)/server.Plo
1262	-rm -f ./$(DEPDIR)/tc.Po
1263	-rm -f ./$(DEPDIR)/ts-http.Po
1264	-rm -f ./$(DEPDIR)/ts.Po
1265	-rm -f Makefile
1266maintainer-clean-am: distclean-am maintainer-clean-generic
1267
1268mostlyclean: mostlyclean-am
1269
1270mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1271	mostlyclean-libtool
1272
1273pdf: pdf-am
1274
1275pdf-am:
1276
1277ps: ps-am
1278
1279ps-am:
1280
1281uninstall-am: uninstall-includeHEADERS
1282	@$(NORMAL_INSTALL)
1283	$(MAKE) $(AM_MAKEFLAGS) uninstall-hook
1284.MAKE: check-am install-am install-data-am install-strip uninstall-am
1285
1286.PHONY: CTAGS GTAGS TAGS all all-am all-local am--depfiles check \
1287	check-TESTS check-am check-local clean clean-generic \
1288	clean-libtool clean-noinstLTLIBRARIES clean-noinstPROGRAMS \
1289	cscopelist-am ctags ctags-am dist-hook distclean \
1290	distclean-compile distclean-generic distclean-libtool \
1291	distclean-tags distdir dvi dvi-am html html-am info info-am \
1292	install install-am install-data install-data-am \
1293	install-data-hook install-dvi install-dvi-am install-exec \
1294	install-exec-am install-exec-local install-html \
1295	install-html-am install-includeHEADERS install-info \
1296	install-info-am install-man install-pdf install-pdf-am \
1297	install-ps install-ps-am install-strip installcheck \
1298	installcheck-am installdirs maintainer-clean \
1299	maintainer-clean-generic mostlyclean mostlyclean-compile \
1300	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1301	recheck tags tags-am uninstall uninstall-am uninstall-hook \
1302	uninstall-includeHEADERS
1303
1304.PRECIOUS: Makefile
1305
1306
1307install-suid-programs:
1308	@foo='$(bin_SUIDS)'; \
1309	for file in $$foo; do \
1310		x=$(DESTDIR)$(bindir)/$$file; \
1311		if chown 0:0 $$x && chmod u+s $$x; then :; else \
1312			echo "*"; \
1313			echo "* Failed to install $$x setuid root"; \
1314			echo "*"; \
1315		fi; \
1316	done
1317
1318install-exec-local: install-suid-programs
1319
1320codesign-all:
1321	@if [ X"$$CODE_SIGN_IDENTITY" != X ] ; then \
1322		foo='$(bin_PROGRAMS) $(sbin_PROGRAMS) $(libexec_PROGRAMS)' ; \
1323		for file in $$foo ; do \
1324			echo "CODESIGN $$file" ; \
1325			codesign -f -s "$$CODE_SIGN_IDENTITY" $$file || exit 1 ; \
1326		done ; \
1327	fi
1328
1329all-local: codesign-all
1330
1331install-build-headers:: $(include_HEADERS) $(dist_include_HEADERS) $(nodist_include_HEADERS) $(build_HEADERZ) $(nobase_include_HEADERS) $(noinst_HEADERS)
1332	@foo='$(include_HEADERS) $(dist_include_HEADERS) $(nodist_include_HEADERS) $(build_HEADERZ) $(noinst_HEADERS)'; \
1333	for f in $$foo; do \
1334		f=`basename $$f`; \
1335		if test -f "$(srcdir)/$$f"; then file="$(srcdir)/$$f"; \
1336		else file="$$f"; fi; \
1337		if cmp -s  $$file $(buildinclude)/$$f 2> /dev/null ; then \
1338		: ; else \
1339			echo " $(CP) $$file $(buildinclude)/$$f"; \
1340			$(CP) $$file $(buildinclude)/$$f || true; \
1341		fi ; \
1342	done ; \
1343	foo='$(nobase_include_HEADERS)'; \
1344	for f in $$foo; do \
1345		if test -f "$(srcdir)/$$f"; then file="$(srcdir)/$$f"; \
1346		else file="$$f"; fi; \
1347		$(mkdir_p) $(buildinclude)/`dirname $$f` ; \
1348		if cmp -s  $$file $(buildinclude)/$$f 2> /dev/null ; then \
1349		: ; else \
1350			echo " $(CP) $$file $(buildinclude)/$$f"; \
1351			$(CP) $$file $(buildinclude)/$$f; \
1352		fi ; \
1353	done
1354
1355all-local: install-build-headers
1356
1357check-local::
1358	@if test '$(CHECK_LOCAL)' = "no-check-local"; then \
1359	  foo=''; elif test '$(CHECK_LOCAL)'; then \
1360	  foo='$(CHECK_LOCAL)'; else \
1361	  foo='$(PROGRAMS)'; fi; \
1362	  if test "$$foo"; then \
1363	  failed=0; all=0; \
1364	  for i in $$foo; do \
1365	    all=`expr $$all + 1`; \
1366	    if (./$$i --version && ./$$i --help) > /dev/null 2>&1; then \
1367	      echo "PASS: $$i"; \
1368	    else \
1369	      echo "FAIL: $$i"; \
1370	      failed=`expr $$failed + 1`; \
1371	    fi; \
1372	  done; \
1373	  if test "$$failed" -eq 0; then \
1374	    banner="All $$all tests passed"; \
1375	  else \
1376	    banner="$$failed of $$all tests failed"; \
1377	  fi; \
1378	  dashes=`echo "$$banner" | sed s/./=/g`; \
1379	  echo "$$dashes"; \
1380	  echo "$$banner"; \
1381	  echo "$$dashes"; \
1382	  test "$$failed" -eq 0 || exit 1; \
1383	fi
1384
1385# It's useful for debugging to format generated sources.  The default for all
1386# clang-format styles is to sort includes, but in many cases in-tree we really
1387# don't want to do that.
1388.x.c:
1389	@if [ -z "$(CLANG_FORMAT)" ]; then \
1390	    cmp -s $< $@ 2> /dev/null || cp $< $@; \
1391	else \
1392	    cp $< $@.tmp.c; \
1393            $(CLANG_FORMAT) -style='{BasedOnStyle: Chromium, SortIncludes: false}' -i $@.tmp.c; \
1394	    cmp -s $@.tmp.c $@ 2> /dev/null || mv $@.tmp.c $@; \
1395	fi
1396
1397.hx.h:
1398	@cmp -s $< $@ 2> /dev/null || cp $< $@;
1399#NROFF_MAN = nroff -man
1400.1.cat1:
1401	$(NROFF_MAN) $< > $@
1402.3.cat3:
1403	$(NROFF_MAN) $< > $@
1404.5.cat5:
1405	$(NROFF_MAN) $< > $@
1406.7.cat7:
1407	$(NROFF_MAN) $< > $@
1408.8.cat8:
1409	$(NROFF_MAN) $< > $@
1410
1411dist-cat1-mans:
1412	@foo='$(man1_MANS)'; \
1413	bar='$(man_MANS)'; \
1414	for i in $$bar; do \
1415	case $$i in \
1416	*.1) foo="$$foo $$i";; \
1417	esac; done ;\
1418	for i in $$foo; do \
1419		x=`echo $$i | sed 's/\.[^.]*$$/.cat1/'`; \
1420		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1421		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1422	done
1423
1424dist-cat3-mans:
1425	@foo='$(man3_MANS)'; \
1426	bar='$(man_MANS)'; \
1427	for i in $$bar; do \
1428	case $$i in \
1429	*.3) foo="$$foo $$i";; \
1430	esac; done ;\
1431	for i in $$foo; do \
1432		x=`echo $$i | sed 's/\.[^.]*$$/.cat3/'`; \
1433		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1434		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1435	done
1436
1437dist-cat5-mans:
1438	@foo='$(man5_MANS)'; \
1439	bar='$(man_MANS)'; \
1440	for i in $$bar; do \
1441	case $$i in \
1442	*.5) foo="$$foo $$i";; \
1443	esac; done ;\
1444	for i in $$foo; do \
1445		x=`echo $$i | sed 's/\.[^.]*$$/.cat5/'`; \
1446		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1447		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1448	done
1449
1450dist-cat7-mans:
1451	@foo='$(man7_MANS)'; \
1452	bar='$(man_MANS)'; \
1453	for i in $$bar; do \
1454	case $$i in \
1455	*.7) foo="$$foo $$i";; \
1456	esac; done ;\
1457	for i in $$foo; do \
1458		x=`echo $$i | sed 's/\.[^.]*$$/.cat7/'`; \
1459		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1460		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1461	done
1462
1463dist-cat8-mans:
1464	@foo='$(man8_MANS)'; \
1465	bar='$(man_MANS)'; \
1466	for i in $$bar; do \
1467	case $$i in \
1468	*.8) foo="$$foo $$i";; \
1469	esac; done ;\
1470	for i in $$foo; do \
1471		x=`echo $$i | sed 's/\.[^.]*$$/.cat8/'`; \
1472		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1473		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1474	done
1475
1476dist-hook: dist-cat1-mans dist-cat3-mans dist-cat5-mans dist-cat7-mans dist-cat8-mans
1477
1478install-cat-mans:
1479	$(SHELL) $(top_srcdir)/cf/install-catman.sh install "$(INSTALL_DATA)" "$(mkinstalldirs)" "$(srcdir)" "$(DESTDIR)$(mandir)" '$(CATMANEXT)' $(man_MANS) $(man1_MANS) $(man3_MANS) $(man5_MANS) $(man7_MANS) $(man8_MANS)
1480
1481uninstall-cat-mans:
1482	$(SHELL) $(top_srcdir)/cf/install-catman.sh uninstall "$(INSTALL_DATA)" "$(mkinstalldirs)" "$(srcdir)" "$(DESTDIR)$(mandir)" '$(CATMANEXT)' $(man_MANS) $(man1_MANS) $(man3_MANS) $(man5_MANS) $(man7_MANS) $(man8_MANS)
1483
1484install-data-hook: install-cat-mans
1485uninstall-hook: uninstall-cat-mans
1486
1487.et.h:
1488	$(COMPILE_ET) $<
1489.et.c:
1490	$(COMPILE_ET) $<
1491
1492#
1493# Useful target for debugging
1494#
1495
1496check-valgrind:
1497	tobjdir=`cd $(top_builddir) && pwd` ; \
1498	tsrcdir=`cd $(top_srcdir) && pwd` ; \
1499	env TESTS_ENVIRONMENT="$${tsrcdir}/cf/maybe-valgrind.sh -s $${tsrcdir} -o $${tobjdir}" make check
1500
1501#
1502# Target to please samba build farm, builds distfiles in-tree.
1503# Will break when automake changes...
1504#
1505
1506distdir-in-tree: $(DISTFILES) $(INFO_DEPS)
1507	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1508	  if test "$$subdir" != .; then \
1509	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) distdir-in-tree) ; \
1510	  fi ; \
1511	done
1512
1513@have_gcd_TRUE@heim_ipc.h heim_ipcUser.c heim_ipcServer.c heim_ipcServer.h: heim_ipc.defs
1514@have_gcd_TRUE@	mig -header heim_ipc.h -user heim_ipcUser.c -sheader heim_ipcServer.h -server heim_ipcServer.c -I$(srcdir) $(srcdir)/heim_ipc.defs
1515
1516@have_gcd_TRUE@heim_ipc_async.h heim_ipc_asyncUser.c heim_ipc_asyncServer.c heim_ipc_asyncServer.h: heim_ipc_async.defs
1517@have_gcd_TRUE@	mig -header heim_ipc_async.h -user heim_ipc_asyncUser.c -sheader heim_ipc_asyncServer.h -server heim_ipc_asyncServer.c -I$(srcdir) $(srcdir)/heim_ipc_async.defs
1518
1519@have_gcd_TRUE@heim_ipc_reply.h heim_ipc_replyUser.c: heim_ipc_reply.defs
1520@have_gcd_TRUE@	mig -header heim_ipc_reply.h -user heim_ipc_replyUser.c -sheader /dev/null -server /dev/null -I$(srcdir) $(srcdir)/heim_ipc_reply.defs
1521
1522@have_gcd_TRUE@$(srcdir)/client.c: $(built_ipcc)
1523@have_gcd_TRUE@$(srcdir)/server.c: $(built_ipcs)
1524
1525# Tell versions [3.59,3.63) of GNU make to not export all variables.
1526# Otherwise a system limit (for SysV at least) may be exceeded.
1527.NOEXPORT:
1528